Skip to content

List this tenant's internal DNC

GET
/v1/dnc-entries
curl --request GET \
--url 'https://api.vocapable.com/v1/dnc-entries?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
phone_e164
Any of:
string

Filter on phone_e164. Comma-separated values are OR.

phone_e164.gte
Any of:
string

Filter on phone_e164 with the gte operator.

phone_e164.lte
Any of:
string

Filter on phone_e164 with the lte operator.

phone_e164.gt
Any of:
string

Filter on phone_e164 with the gt operator.

phone_e164.lt
Any of:
string

Filter on phone_e164 with the lt operator.

phone_e164.in
Any of:
string

Filter on phone_e164 with the in operator.

Successful Response

Media typeapplication/json
CursorPage[DncEntrySummary]
object
data
required
Data
Array<object>
DncEntrySummary
object
id
required
Id
string
phone_e164
required
Phone E164
string
scope
required
DncScope
string
Allowed values: internal federal state
state_code
Any of:
string
source
required
Source
string
Allowed values: opt_out_call sms_stop manual import api
origin_call_id
Any of:
string
added_at
required
Added At
string format: date-time
expires_at
Any of:
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"scope": "internal",
"source": "opt_out_call"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}